<template>
    <div class="banner">
        <div class="txt-part centered">
            <div style="margin: 0; width: 100%">
                <h1 class="banner-txt centered centered-txt txt-full-white">
                    {{ isLang.home.banner1.p1 }}
                </h1>
                <h1 class="banner-txt centered centered-txt txt-secondary">
                    {{ isLang.home.banner1.p2 }}
                </h1>
                <h1 class="banner-txt centered centered-txt txt-full-white">
                    {{ isLang.home.banner1.p3 }}
                </h1>
                <div style="margin: 0;" class="centered txt-secondary">
                    <div class="arrow-wrap is-jumping">
                        <div class="icon-case">
                            <down-icon size="icon-40" />
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="img-part centered">
            <div class="bg-night-light img-ctn br10s">
                <img src="https://res.cloudinary.com/deccpjpzw/image/upload/v1655565788/midorya/mido/ba2_hz1lya.webp"
                 class="covered br10s" alt="Un realisateur qui filme">
            </div>
        </div>
    </div>
</template>

<script setup lang="ts">
import DownIcon from './icons/DownIcon.vue';
import langStore from '../store/langStore';

const { isLang } = langStore;
</script>

<style scoped>
.arrow-wrap {
    padding: 0;
    display: flex;
}
/*version mobile*/
.banner {
    margin: 0;
    width: 100%;
    height: calc(100vh - 65px);
    position: relative;
}
.txt-part {
    margin: 0;
    width: 100%;
    height: 100%;
    position: absolute;
    background: rgba(3, 0, 27, 0.192);
}
.img-part {
    margin: 0;
    width: 100%;
    height: 100%;
}
.banner-txt {
    margin: 0;
    padding-left: 0px;
    padding-right: 20;
    font-size: 60px;
    font-weight: 500;
}
.img-ctn {
    margin: 0;
    width: 100%;
    height: 100%;
}

/*version bureau*/
@media (min-width: 1024px) {
    .banner {
    margin: 0;
    width: 100%;
    height: calc(100vh - 65px);
    position: static;
    display: flex;
    flex-wrap: wrap;
}
.txt-part {
    margin: 0;
    width: 60%;
    height: 100%;
    position: static;
    background: none;
}
.img-part {
    margin: 0;
    width: 40%;
    height: 100%;
}
.banner-txt {
    margin: 0;
    font-size: 70px;
    font-weight: 500;
}
.img-ctn {
    width: 80%;
    height: 90%;
}
.br10s {
    border-radius: 10px;
}
}
</style>